
# TPCCWorkloadConfig

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**activeWarehouses** | **Integer** | Run the load generator against a specific number of warehouses. Defaults to --warehouses |  [optional]
**drop** | **Boolean** | Drop the existing database, if it exists (implies --init) |  [optional]
**duration** | **Integer** | The duration to run in seconds. If 0, run forever |  [optional]
**expensiveChecks** | **Boolean** | Run expensive checks |  [optional]
**histogram** | **String** | File to write per-op incremental and cumulative histogram data. |  [optional]
**init** | **Boolean** | Automatically run init |  [optional]
**interleaved** | **Boolean** | Use interleaved tables |  [optional]
**maxOps** | **Integer** | Maximum number of operations to run |  [optional]
**maxRate** | **Float** | Maximum frequency of operations (reads/writes). If 0, no limit. |  [optional]
**opsMix** | **String** | Weights for the transaction mix. The default matches the TPCC spec. (default \&quot;newOrder&#x3D;10,payment&#x3D;10,orderStatus&#x3D;1,delivery&#x3D;1,stockLevel&#x3D;1\&quot;) |  [optional]
**partitionAffinity** | **Integer** | Run load generator against specific partition (requires partitions) (default -1) |  [optional]
**partitions** | **Integer** | Partition tables (requires split) |  [optional]
**ramp** | **Integer** | The duration in seconds over which to ramp up load. |  [optional]
**scatter** | **Boolean** | Scatter ranges |  [optional]
**seed** | **Integer** | Random number generator seed (default 1) |  [optional]
**serializable** | **Boolean** | Force serializable mode |  [optional]
**split** | **Boolean** | Split tables |  [optional]
**tolerateErrors** | **Boolean** | Keep running on error |  [optional]
**wait** | **Boolean** | Run in wait mode (include think/keying sleeps) (default true) |  [optional]
**warehouses** | **Integer** | Number of warehouses for loading (default 1) |  [optional]
**workers** | **Integer** | Number of concurrent workers. Defaults to --warehouses * 10 |  [optional]
**zones** | **String** | Zones for partitioning, the number of zones should match the number of partitions and the zones used to start cockroach. |  [optional]



