
# DatabaseConfig

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**databaseBinding** | [**DatabaseBindingEnum**](#DatabaseBindingEnum) |  |  [optional]
**endpointParameterName** | **String** | the name of the endpoint parameter of the selected driver, e.g. couchbase.host |  [optional]
**tableParameterName** | **String** | the name of the parameter to specify the table to use with YCSB, e.g. couchbase.bucket |  [optional]
**tableName** | **String** | the table name to use with YCSB, e.g. ycsb |  [optional]
**configPorperties** | [**java.util.List&lt;DatabaseConfigProperty&gt;**](DatabaseConfigProperty.md) |  |  [optional]


<a name="DatabaseBindingEnum"></a>
## Enum: DatabaseBindingEnum
Name | Value
---- | -----
COUCHBASE | &quot;COUCHBASE&quot;
COUCHBASE2 | &quot;COUCHBASE2&quot;
RIAK | &quot;RIAK&quot;
CASSANDRA2 | &quot;CASSANDRA2&quot;
COCKROACHDB | &quot;COCKROACHDB&quot;
VOLTDB | &quot;VOLTDB&quot;
MONGODB | &quot;MONGODB&quot;
ELASTICSEARCH5 | &quot;ELASTICSEARCH5&quot;



